> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywise.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List deliveries for a webhook

> List all delivery attempts for this webhook endpoint, including successes, failures, and retries.



## OpenAPI

````yaml /api-docs/legacy/case-management/openapi.json get /v1/webhooks/{id}/deliveries/
openapi: 3.0.3
info:
  title: paywise Case Management API
  version: v1
  description: |

    Use our Case Management API to perform the debt entire collection process.

    Please refer to the [official docs][ref1] for more!

    [ref1]: https://docs.paywise.de/api-docs/case-management-api/introduction
servers:
  - url: https://api.paywise.de
    description: Production environment
security: []
externalDocs:
  url: https://docs.paywise.de/api-docs/case-management-api/
paths:
  /v1/webhooks/{id}/deliveries/:
    get:
      tags:
        - webhooks
      summary: List deliveries for a webhook
      description: >-
        List all delivery attempts for this webhook endpoint, including
        successes, failures, and retries.
      operationId: list-webhook-deliveries
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
        - name: limit
          required: false
          in: query
          description: Anzahl der pro Seite zurückzugebenden Ergebnisse.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: >-
            Der initiale Index, von dem die Ergebnisse zurückgegeben werden
            sollen.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedWebhookDeliveryList'
          description: ''
      security:
        - tokenAuth: []
        - tokenAuth: []
components:
  schemas:
    PaginatedWebhookDeliveryList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/WebhookDelivery'
    WebhookDelivery:
      type: object
      description: Serializer for WebhookDelivery model.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        webhook_url:
          type: string
          readOnly: true
        event_type:
          allOf:
            - $ref: '#/components/schemas/WebhookDeliveryEventTypeEnum'
          readOnly: true
        payload:
          readOnly: true
          description: The JSON payload sent to the webhook endpoint
        status:
          allOf:
            - $ref: '#/components/schemas/StatusEnum'
          readOnly: true
        attempts:
          type: integer
          readOnly: true
          description: Number of delivery attempts made
        response_status_code:
          type: integer
          readOnly: true
          nullable: true
        response_body:
          type: string
          readOnly: true
          description: Response body from webhook endpoint (truncated)
        error_message:
          type: string
          readOnly: true
          description: Error message if delivery failed
        idempotency_key:
          type: string
          readOnly: true
          description: Unique key to prevent duplicate deliveries
        created:
          type: string
          format: date-time
          readOnly: true
          title: Erzeugt
          description: When this delivery was first created
        last_attempt_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          title: Last Attempt
          description: Timestamp of the most recent delivery attempt
        next_retry_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          title: Next Retry
          description: Scheduled time for next retry attempt
        completed_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          title: Completed
          description: When delivery was successfully completed or permanently failed
      required:
        - attempts
        - completed_at
        - created
        - error_message
        - event_type
        - id
        - idempotency_key
        - last_attempt_at
        - next_retry_at
        - payload
        - response_body
        - response_status_code
        - status
        - webhook_url
    WebhookDeliveryEventTypeEnum:
      enum:
        - mandate.created
        - mandate.updated
        - mandate.status_updated
        - mandate.closed
        - mandate.transferred
        - mandate.balance_updated
        - mandate.message_created
        - claim.created
        - claim.released
        - claim.updated
        - payment.created
        - payment.updated
        - statement.created
        - statement.updated
        - single_mandate_statement.created
        - single_mandate_statement.updated
        - request_to_client.created
        - request_to_client.answered
      type: string
      description: |-
        * `mandate.created` - Mandate Created
        * `mandate.updated` - Mandate Updated
        * `mandate.status_updated` - Mandate Status Updated
        * `mandate.closed` - Mandate Closed
        * `mandate.transferred` - Mandate Transferred to Ikaros
        * `mandate.balance_updated` - Mandate Balance Updated
        * `mandate.message_created` - Mandate Message Created
        * `claim.created` - Claim Created
        * `claim.released` - Claim Released for Processing
        * `claim.updated` - Claim Updated
        * `payment.created` - Payment Reported
        * `payment.updated` - Payment Updated
        * `statement.created` - Statement Created
        * `statement.updated` - Statement Updated
        * `single_mandate_statement.created` - Single-Mandate Statement Created
        * `single_mandate_statement.updated` - Single-Mandate Statement Updated
        * `request_to_client.created` - Request to Client Created
        * `request_to_client.answered` - Request to Client Answered
    StatusEnum:
      enum:
        - pending
        - success
        - failed
        - retrying
      type: string
      description: |-
        * `pending` - Pending
        * `success` - Success
        * `failed` - Failed
        * `retrying` - Retrying
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.